> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup Agent

<RequestExample>
  ```python Python theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  !pip install vlmrun

  from vlmrun.client import VLMRun
  from vlmrun.client.types import AgentResponse

  client = VLMRun(api_key="<VLMRUN_API_KEY>")

  # Lookup by agent id
  response: AgentResponse = client.agent.get(id="<agent-id>")

  # Lookup by agent name and version
  response: AgentResponse = client.agent.get(name="<agent-name>:<agent-version>")

  # Lookup by agent name alone (latest version will be returned)
  response: AgentResponse = client.agent.get(name="<agent-name>")

  # Lookup by agent prompt alone (latest version will be returned)
  response: AgentResponse = client.agent.get(prompt="<prompt>")
  ```

  ```typescript Node.js SDK theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  import { VlmRun } from "vlmrun";

  const client = new VlmRun({
    baseURL: "https://api.vlm.run/v1",
    apiKey: "<VLMRUN_API_KEY>"
  });

  // Lookup by agent id
  const response1 = await client.agent.get({ id: "<agent-id>" });

  // Lookup by agent name and version
  const response2 = await client.agent.get({ name: "<agent-name>:<agent-version>" });

  // Lookup by agent name alone (latest version will be returned)
  const response3 = await client.agent.get({ name: "<agent-name>" });

  // Lookup by agent prompt alone (latest version will be returned)
  const response4 = await client.agent.get({ prompt: "<prompt>" });
  console.log(response1);
  ```
</RequestExample>


## OpenAPI

````yaml POST /v1/agent/lookup
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/agent/lookup:
    post:
      tags:
        - agent
      summary: Lookup Agent
      operationId: lookup_agent_v1_agent_lookup_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentLookupRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentLookupRequest:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: The full name of the agent (e.g. 'accounting-invoice:latest')
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: The ID of the agent (lookup either by name + version or by id alone)
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
          description: >-
            The prompt of the agent (if not provided, the latest version will be
            returned).
      type: object
      title: AgentLookupRequest
      description: Request to get agent info.
    AgentInfoResponse:
      properties:
        id:
          type: string
          title: Id
          description: ID of the agent
        name:
          type: string
          title: Name
          description: Name of the agent
        description:
          type: string
          title: Description
          description: Description of the agent
        prompt:
          type: string
          title: Prompt
          description: The prompt of the agent
        json_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Json Schema
          description: The JSON schema of the agent's sample response
        json_sample:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Json Sample
          description: The sample JSON response from the model.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Date and time when the agent was created (in UTC timezone)
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Date and time when the agent was updated (in UTC timezone)
        status:
          type: string
          enum:
            - pending
            - enqueued
            - running
            - completed
            - failed
            - paused
          title: Status
          description: The status of the job.
          default: pending
      type: object
      required:
        - id
        - name
        - description
        - prompt
        - created_at
      title: AgentInfoResponse
      description: Response to the agent creation request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````